> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insforge.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List deployment environment variables

> Lists provider environment variable keys and metadata. Values are not included.



## OpenAPI

````yaml https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/deployments.yaml get /api/deployments/env-vars
openapi: 3.0.3
info:
  title: Insforge Deployments API
  version: 1.0.0
  description: >-
    Frontend deployment sessions, source uploads, environment variables, and
    custom domains.
servers: []
security: []
paths:
  /api/deployments/env-vars:
    get:
      tags:
        - Admin
      summary: List deployment environment variables
      description: >-
        Lists provider environment variable keys and metadata. Values are not
        included.
      responses:
        '200':
          description: Environment variables
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListEnvVarsResponse'
        '401':
          description: Unauthorized
        '403':
          description: Admin access required
        '500':
          $ref: '#/components/responses/Error'
        '503':
          description: Deployment provider is not configured
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
        - apiKey: []
components:
  schemas:
    ListEnvVarsResponse:
      type: object
      required:
        - envVars
      properties:
        envVars:
          type: array
          items:
            $ref: '#/components/schemas/DeploymentEnvVar'
    ErrorResponse:
      type: object
      required:
        - error
        - message
        - statusCode
      properties:
        error:
          type: string
          description: Error code for programmatic handling.
        message:
          type: string
          description: Human-readable error message.
        statusCode:
          type: integer
        nextActions:
          type: string
          description: Suggested action to resolve the error.
    DeploymentEnvVar:
      type: object
      required:
        - id
        - key
        - type
      properties:
        id:
          type: string
        key:
          type: string
        type:
          type: string
          enum:
            - plain
            - encrypted
            - secret
            - sensitive
            - system
        updatedAt:
          type: integer
          description: Unix timestamp in milliseconds.
  responses:
    Error:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Project admin JWT or an API key passed as a Bearer token.
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````